package test;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;

public class UDPClient {
	public static void main(String[] args) throws IOException {
		DatagramSocket dgs = new DatagramSocket();
        for(int j = 0; j < 10; j++) {
            byte[] req = new byte[] { 1, 2, 3 };
            DatagramPacket reqpck = new DatagramPacket(req, req.length, InetAddress.getByName("localhost"), 5678);
            dgs.send(reqpck);
            System.out.println("3 bytes send");
            byte[] resp = new byte[1000];
            DatagramPacket resppck = new DatagramPacket(resp, resp.length);
            dgs.receive(resppck);
            System.out.println(resppck.getLength() + " bytes received");
            for(int i = 0; i < resppck.getLength(); i++) {
                if(resp[i] != req[i] + 1) {
                    throw new RuntimeException("Corrupt data");
                }
            }
        }
	}
}
