package jcatest.outboundtcp;

import javax.resource.ResourceException;
import javax.resource.cci.IndexedRecord;
import javax.resource.cci.MappedRecord;
import javax.resource.cci.RecordFactory;

public class OutboundTCPRecordFactory implements RecordFactory {
	@Override
	public IndexedRecord createIndexedRecord(String name) throws ResourceException {
		throw new ResourceException("IndexRecord not supported");
	}
	@Override
	public MappedRecord createMappedRecord(String name) throws ResourceException {
		if(name.equals("standard")) {
			System.out.println("OutboundTCPRecordFactory created an OutboundTCPMappedRecord");
			return new OutboundTCPMappedRecord();
		} else {
			throw new ResourceException("Only standard MappedRecord is supported");
		}
	}
}
