package test;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.ServerSocket;
import java.net.Socket;

public class TCPServer {
	public static void main(String[] args) throws IOException {
		ServerSocket ss = new ServerSocket(1234);
		while(true) {
			Socket s = ss.accept();
			System.out.println("connection accepted");
			(new ClientHandler(s)).start();
		}
	}
}

class ClientHandler extends Thread {
	Socket s;
	InputStream is;
	OutputStream os;
	public ClientHandler(Socket s) {
		this.s = s;
		try {
			is = s.getInputStream();
			os = s.getOutputStream();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	public void run() {
		try {
			while(true) {
				byte[] b = new byte[3];
				is.read(b);
				System.out.println("3 bytes read");
				for(int i = 0; i < b.length; i++) {
					b[i]++;
				}
				os.write(b);
				os.flush();
				System.out.println("3 bytes write");
			}
		} catch (IOException e) {
			// closed
		}
	}
}